Skip to main content

Start Authorization (OAuth)

POST 

/api/stripe/integrations/:id/authorize

Begins the Stripe Connect OAuth flow. Returns an authorize_url that the merchant should be redirected to in order to grant access. Stripe will redirect back to /api/stripe/oauth/callback.

Not yet available to API tokens

This endpoint currently requires session authentication; Personal Access Token scope support is in progress.

Requires admin or power-user permissions.

Returns 422 when Stripe Connect is not configured on the server (no Connect client ID), instead of an authorize URL Stripe would reject.

Request​

Responses​

OK

Response Headers
    Content-Type